package com.ruoyi.factory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 物料类别对象 c_material_type
 *
 * @author ruoyi
 * @date 2024-02-29
 */
public class CMaterialTypeFactory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long typeId;

    /** 编码 */
    @Excel(name = "编码")
    private String typeNo;

    /** 名称 */
    @Excel(name = "名称")
    private String typeName;

    /** 关联车间编码 */
    private String factoryId;

    public void setTypeId(Long typeId)
    {
        this.typeId = typeId;
    }

    public Long getTypeId()
    {
        return typeId;
    }
    public void setTypeNo(String typeNo)
    {
        this.typeNo = typeNo;
    }

    public String getTypeNo()
    {
        return typeNo;
    }
    public void setTypeName(String typeName)
    {
        this.typeName = typeName;
    }

    public String getTypeName()
    {
        return typeName;
    }
    public void setFactoryId(String factoryId)
    {
        this.factoryId = factoryId;
    }

    public String getFactoryId()
    {
        return factoryId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("typeId", getTypeId())
            .append("typeNo", getTypeNo())
            .append("typeName", getTypeName())
            .append("factoryId", getFactoryId())
            .toString();
    }
}
